Skip to main content
`Ctrl`+`K`

# numpy.random.BitGenerator.spawn

method

random.BitGenerator.spawn(n_children)

  Create new independent child bit generators.

  See SeedSequence spawning for additional notes on spawning children. Some bit generators also implement `jumped` as a different approach for creating independent streams.

  Added in version 1.25.0.

  Parameters:
    n_children int
  Returns:
    child_bit_generators list of BitGenerators
  Raises:
    TypeError

      When the underlying SeedSequence does not implement spawning.

  See also

  `random.Generator.spawn`, `random.SeedSequence.spawn`

    Equivalent method on the generator and seed sequence.